--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns this generator's source root
- !ruby/struct:SM::Flow::H 
  level: 3
  text: Returns
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "String:"
    body: The source root of this generator.
  type: :NOTE
- !ruby/struct:SM::Flow::H 
  level: 3
  text: Raises
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "Templater::SourceNotSpecifiedError:"
    body: IF the source_root class method has not been overridden.
  type: :NOTE
full_name: Templater::Generator#source_root
is_singleton: false
name: source_root
params: ()
visibility: public
